Bug 468611 - lcdproc: LCDd initscript fails
lcdproc: LCDd initscript fails
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lcdproc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jarod Wilson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-26 14:19 EDT by mail@romal.de
Modified: 2008-11-22 11:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-07 12:14:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mail@romal.de 2008-10-26 14:19:17 EDT
Description of problem:

[root@orilla lcdproc]#  /etc/init.d/LCDd restart
LCDproc display server daemon LCDd-Dienst anhalten:        [FEHLGESCHLAGEN]
LCDproc display server daemon LCDd starten: /etc/init.d/LCDd: line 59: start_daemon: command not found

[root@orilla lcdproc]# rpm --query lcdproc
lcdproc-0.5.2-6.fc10.i386
[root@orilla lcdproc]# 

Version-Release number of selected component (if applicable):


How reproducible:

Every time.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Nicolas Chauvet (kwizart) 2008-11-05 10:30:52 EST
What's append if you replace start_daemon with daemon ?
Comment 2 Jarod Wilson 2008-11-06 12:05:52 EST
Taking this one over, as I'm aiming to work on lcdproc a bit now, adding support for imon lcd devices (one of which I have in my possession now, making testing *much* easier... :).
Comment 3 Jarod Wilson 2008-11-07 12:14:55 EST
I get no failures with start_daemon there, but I suspect that would happen in the case of a system w/no redhat-lsb package installed (which provides /lib/lsb/init-functions, which is where start_daemon comes from, I believe). RH/Fedora typically uses its own 'daemon' function, so we'll just switch to that and call it good. Forthcoming lcdproc-0.5.2-7 build will have this change, as well as imon lcd device support (which is now working quite well for me).
Comment 4 Fedora Update System 2008-11-07 13:31:34 EST
lcdproc-0.5.2-7.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lcdproc-0.5.2-7.fc10
Comment 5 Fedora Update System 2008-11-22 11:46:33 EST
lcdproc-0.5.2-7.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.